This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2022-08-05 03:08
Elapsed7m47s
Revision
Builderdcb47411-146b-11ed-8fd6-daf9b9926ec8
infra-commitb02079377
reposigs.k8s.io/gcp-compute-persistent-disk-csi-driver
repo-commit7a126c25d05ffe04feecf950e0b0fb89e4d7af67
repos{u'sigs.k8s.io/gcp-compute-persistent-disk-csi-driver': u'master'}

No Test Failures!


Error lines from build-log.txt

... skipping 332 lines ...
W0805 03:12:57.468] I0805 03:12:57.464174    9878 utils.go:17] cmd env=[]
W0805 03:12:57.469] I0805 03:12:57.464184    9878 utils.go:18] cmd args=[make -C /go/src/sigs.k8s.io/gcp-compute-persistent-disk-csi-driver build-and-push-multi-arch GCE_PD_CSI_STAGING_VERSION=43c79be0-b07a-425c-ab6c-1e5697ea1b53 GCE_PD_CSI_STAGING_IMAGE=gcr.io/k8s-gce-cvm-1-6-1-5-ctl-skew/gcp-persistent-disk-csi-driver]
W0805 03:12:57.470] Makefile:48: gcp-pd-driver-windows only supports amd64.
I0805 03:12:57.570] make: Entering directory '/go/src/sigs.k8s.io/gcp-compute-persistent-disk-csi-driver'
I0805 03:12:57.571] # Ensure we use a builder that can leverage it (the default on linux will not)
I0805 03:12:57.572] DOCKER_CLI_EXPERIMENTAL=enabled docker buildx rm multiarch-multiplatform-builder
W0805 03:12:58.432] error: no builder "multiarch-multiplatform-builder" found
W0805 03:12:58.456] make: [Makefile:134: init-buildx] Error 1 (ignored)
I0805 03:12:58.556] DOCKER_CLI_EXPERIMENTAL=enabled docker buildx create --use --name=multiarch-multiplatform-builder
I0805 03:12:58.944] multiarch-multiplatform-builder
I0805 03:12:58.969] DOCKER_CLI_EXPERIMENTAL=enabled docker run --rm --privileged multiarch/qemu-user-static --reset --credential yes --persistent yes
W0805 03:12:59.122] Unable to find image 'multiarch/qemu-user-static:latest' locally
W0805 03:12:59.528] latest: Pulling from multiarch/qemu-user-static
W0805 03:12:59.528] 19d511225f94: Pulling fs layer
... skipping 231 lines ...
W0805 03:13:47.980] #11 11.87 Setting up libtinfo6:amd64 (6.1+20181013-2+deb10u2) ...
W0805 03:13:48.129] #11 12.02 Selecting previously unselected package bash.
W0805 03:13:48.131] #11 12.02 (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 3900 files and directories currently installed.)
W0805 03:13:48.131] #11 12.04 Preparing to unpack .../archives/bash_5.0-4_amd64.deb ...
W0805 03:13:48.131] #11 12.07 Unpacking bash (5.0-4) ...
W0805 03:13:48.544] #11 12.51 Setting up bash (5.0-4) ...
W0805 03:13:48.548] #11 12.58 update-alternatives: error: alternative path /usr/share/man/man7/bash-builtins.7.gz doesn't exist

W0805 03:13:48.848] #11 12.81 Selecting previously unselected package libuuid1:amd64.
W0805 03:13:48.849] #11 12.81 (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 3972 files and directories currently installed.)
W0805 03:13:48.849] #11 12.83 Preparing to unpack .../libuuid1_2.33.1-0.1_amd64.deb ...
W0805 03:13:48.849] #11 12.83 Unpacking libuuid1:amd64 (2.33.1-0.1) ...
W0805 03:13:48.998] #11 12.94 Setting up libuuid1:amd64 (2.33.1-0.1) ...
W0805 03:13:49.152] #11 13.05 Selecting previously unselected package libblkid1:amd64.
... skipping 432 lines ...
W0805 03:16:09.599] #12 32.37 Err:3 http://deb.debian.org/debian buster InRelease
W0805 03:16:09.754] #12 32.37   Could not connect to deb.debian.org:80 (199.232.30.132), connection timed out
W0805 03:16:09.754] #12 32.37 Err:4 http://deb.debian.org/debian buster-updates InRelease
W0805 03:16:09.754] #12 32.37   Unable to connect to deb.debian.org:http:
W0805 03:16:09.905] #12 32.55 Fetched 366 kB in 30s (12.0 kB/s)
W0805 03:16:10.474] #12 32.55 Reading package lists...
W0805 03:16:10.725] #12 33.34 W: Failed to fetch http://deb.debian.org/debian/dists/buster/InRelease  Could not connect to deb.debian.org:80 (199.232.30.132), connection timed out
W0805 03:16:10.726] #12 33.35 W: Failed to fetch http://deb.debian.org/debian/dists/buster-updates/InRelease  Unable to connect to deb.debian.org:http:
W0805 03:16:10.726] #12 33.35 W: Some index files failed to download. They have been ignored, or old ones used instead.
W0805 03:16:12.067] #12 33.82 Reading package lists...
W0805 03:16:12.324] #12 34.84 Building dependency tree...
W0805 03:16:12.325] #12 35.01 Reading state information...
W0805 03:16:12.326] #12 35.09 Package ca-certificates is not available, but is referred to by another package.
W0805 03:16:12.326] #12 35.09 This may mean that the package is missing, has been obsoleted, or
W0805 03:16:12.326] #12 35.09 is only available from another source
... skipping 18 lines ...
W0805 03:16:12.589] #12 35.22 E: Package 'mount' has no installation candidate
W0805 03:16:12.589] #12 35.22 E: Package 'ca-certificates' has no installation candidate
W0805 03:16:12.589] #12 35.22 E: Package 'xfsprogs' has no installation candidate
W0805 03:16:12.590] #12 35.22 E: Unable to locate package nvme-cli
W0805 03:16:12.590] #12 35.22 E: Unable to locate package xxd
W0805 03:16:12.590] #12 35.22 E: Package 'bash' has no installation candidate
W0805 03:16:14.246] #12 ERROR: process "/bin/sh -c clean-install util-linux e2fsprogs mount ca-certificates udev xfsprogs nvme-cli xxd bash" did not complete successfully: exit code: 100
W0805 03:16:14.246] 
W0805 03:16:14.246] #13 [builder 4/4] RUN GOARCH=$(echo linux/arm64 | cut -f2 -d '/') GCE_PD_CSI_STAGING_VERSION=43c79be0-b07a-425c-ab6c-1e5697ea1b53 make gce-pd-driver
W0805 03:16:14.268] #13 CANCELED
W0805 03:16:14.268] ------
W0805 03:16:14.268]  > [debian 2/2] RUN clean-install util-linux e2fsprogs mount ca-certificates udev xfsprogs nvme-cli xxd bash:
W0805 03:16:14.269] #12 35.09 This may mean that the package is missing, has been obsoleted, or
... skipping 12 lines ...
W0805 03:16:14.272]   28 |     # Install necessary dependencies
W0805 03:16:14.272]   29 |     # google_nvme_id script depends on the following packages: nvme-cli, xxd, bash
W0805 03:16:14.272]   30 | >>> RUN clean-install util-linux e2fsprogs mount ca-certificates udev xfsprogs nvme-cli xxd bash
W0805 03:16:14.272]   31 |     
W0805 03:16:14.272]   32 |     # Since we're leveraging apt to pull in dependencies, we use `gcr.io/distroless/base` because it includes glibc.
W0805 03:16:14.272] --------------------
W0805 03:16:14.273] error: failed to solve: process "/bin/sh -c clean-install util-linux e2fsprogs mount ca-certificates udev xfsprogs nvme-cli xxd bash" did not complete successfully: exit code: 100
W0805 03:16:14.281] make: *** [Makefile:105: build-and-push-container-linux-arm64] Error 1
I0805 03:16:14.382] make: Leaving directory '/go/src/sigs.k8s.io/gcp-compute-persistent-disk-csi-driver'
W0805 03:16:15.495] F0805 03:16:15.495028    9878 main.go:196] Failed to run integration test: failed pushing image: failed to run make command for windows: err: exit status 2
W0805 03:16:15.499] Traceback (most recent call last):
W0805 03:16:15.499]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0805 03:16:15.500]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0805 03:16:15.500]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0805 03:16:15.500]     check(*cmd)
W0805 03:16:15.500]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0805 03:16:15.500]     subprocess.check_call(cmd)
W0805 03:16:15.500]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0805 03:16:15.501]     raise CalledProcessError(retcode, cmd)
W0805 03:16:15.501] subprocess.CalledProcessError: Command '('test/run-windows-k8s-integration.sh',)' returned non-zero exit status 255
E0805 03:16:15.506] Command failed
I0805 03:16:15.506] process 424 exited with code 1 after 7.5m
E0805 03:16:15.506] FAIL: ci-gce-pd-csi-driver-latest-k8s-master-windows-20h2
I0805 03:16:15.507] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0805 03:16:16.324] Activated service account credentials for: [pr-kubekins@kubernetes-jenkins-pull.iam.gserviceaccount.com]
I0805 03:16:16.523] process 19203 exited with code 0 after 0.0m
I0805 03:16:16.523] Call:  gcloud config get-value account
I0805 03:16:17.351] process 19217 exited with code 0 after 0.0m
I0805 03:16:17.352] Will upload results to gs://kubernetes-jenkins/logs using pr-kubekins@kubernetes-jenkins-pull.iam.gserviceaccount.com
... skipping 20 lines ...